package de.jaetzold.art;

import de.jaetzold.art.platform.BaseSensorPort;
import de.jaetzold.art.platform.BaseSensorPeer;
import de.jaetzold.art.platform.SensorPeer;

import java.beans.PropertyChangeSupport;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

public class ConstantSensorPort extends BaseSensorPort {
	private static de.jaetzold.util.Debug debug =
			new de.jaetzold.util.Debug("de.jaetzold.art.ConstantSensorPort");
	
	protected SensorPeer peer;
	
	public ConstantSensorPort(final double value) {
		super(null, "Constant"+value, 0, value, value, 1, null);
		peer = new BaseSensorPeer() {
			public double getValue() {
				return value;
			}
		};
	}
	
	public SensorPeer getPeerFor(Sensor sensor) {
		return peer;
	}
}
