package de.jaetzold.art;

/** This interface is for Objects which define a specific (set of) Implementations of RobotInterface.
	There are no methods required, because the implementation and use is entirely up to each implementation of RobotInterface. However each Implementation of RobotInterface should specify how which class should be used to create a RobotInterfaceDefinition to which the RobotInterface conforms.
	@see RobotInterface
	@see RobotInterfaceStringDefinition
	*/
public interface RobotInterfaceDefinition {
}
