package de.jaetzold.art;

/**	The interface for listeners which want to receive SensorEvents.
	@see Sensor#addSensorListener(SensorListener)
	*/
public interface SensorListener {
	/**	This method is called when a SensorEvent occurs, for which this listener is registered.
		@see Sensor#addSensorListener(SensorListener)
		@see SensorEventDescriptor
		*/
	public void processEvent(SensorEvent event);
}
