package de.jaetzold.art;

public class SensorNumber extends Number {
	protected Sensor target;
	public SensorNumber(Sensor target) {
		this.target = target;
	}
	
	public byte byteValue() {
		return (byte)intValue();
	}
	public short shortValue() {
		return (byte)intValue();
	}
	public int intValue() {
		return target.getIntValue();
	}
	public long longValue() {
		return (long)target.getValue();
	}
	public float floatValue() {
		return (float)doubleValue();
	}
	public double doubleValue() {
		return target.getValue();
	}
}
