package de.jaetzold.art.examples;

import java.util.Vector;

import java.awt.Panel;
import java.awt.TextField;
import java.awt.Label;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

import de.jaetzold.art.Sensor;
import de.jaetzold.util.NotConnectedException;

public class AWTSensorView	extends		Panel
							implements	PropertyChangeListener
{
	public AWTSensorView() {
	}
	public AWTSensorView(Sensor sensor) {
		sensor.addPropertyChangeListener(this);
		try {
			valueOutput.setText(sensor.getValue() +"");
		} catch(NotConnectedException nce) {
		}
	}
	
	TextField valueOutput = new TextField(5);
	protected Panel contentPanel = new Panel();
	{
		valueOutput.setEditable(false);
		contentPanel.add(new Label("sensor value:"));
		contentPanel.add(valueOutput);
		add(contentPanel);
	}
	
	public void propertyChange(PropertyChangeEvent pce) {
		if(pce.getPropertyName().equals("value")
				&& pce.getSource() instanceof Sensor) {
			valueOutput.setText(pce.getNewValue().toString());
		}
	}
}
