package de.jaetzold.art.examples;

public class AriadneSimpleRobot implements AriadneSimpleAlgorithm.Robot
{
	protected NormalizedDriveTrain driveTrain;
	protected int leftDirection;
	protected double orientationAngle;
	public AriadneSimpleRobot(	NormalizedDriveTrain driveTrain,
								int leftDirection,
								double orientationAngle) {
		this.driveTrain = driveTrain;
		this.leftDirection = leftDirection;
		this.orientationAngle = orientationAngle;
	}
	
	public NormalizedDriveTrain getNormalizedDriveTrain() {
		return driveTrain;
	}
	public int getLeftDirection() {
		return leftDirection;
	}
	public double getOrientationAngle() {
		return orientationAngle;
	}
// ...
	public AriadneSimpleRobot() throws Exception {
		this(new NormalizedDriveTrainSimpleAlgorithm(
				new NormalizedDriveTrainSimpleBaseRobot()
			),
			-1,
			0
		);
	}
// ...
}
