// BEGIN DriveTrain:main
package de.jaetzold.art.examples;

public interface DriveTrain {
	public void forward();
	public void backward();
	public void leftSpin();
	public void rightSpin();
	public void stop();
	public void resume();

// BEGIN DriveTrain:State
	public int getState();
	
	public static final int FORWARD = 1;
	public static final int BACKWARD = 2;
	public static final int LEFT_SPIN = 3;
	public static final int RIGHT_SPIN = 4;
	public static final int STOP = 8;
// END DriveTrain:State
}
// END DriveTrain:main
