package de.jaetzold.art.examples;

import de.jaetzold.util.StateDecider;
import de.jaetzold.util.TransitionMatrixStateDecider;

// BEGIN rotation:count
public class RCXRotationCountStateDecider
								extends TransitionMatrixStateDecider
{
	private static int[][] countMatrix =
					new int[][]{/* l\n   0, 1, 2, 3, 4  */
								/* 0*/ { 0, 0, 0, 0, 0},
								/* 1*/ { 0, 0, 1, 0,-1},
								/* 2*/ { 0,-1, 0, 1, 0},
								/* 3*/ { 0, 0,-1, 0, 1},
								/* 4*/ { 0, 1, 0,-1, 0}};
	public RCXRotationCountStateDecider() {
		super(countMatrix);
	}
}
// END rotation:count
