package de.jaetzold.art.examples;

public class TrustySimpleBaseRobot implements TrustySimpleAlgorithm.Robot {
	protected NormalizedDriveTrain driveTrain;
	protected double backupMeters;
	protected double turnAngle;
	
	public TrustySimpleBaseRobot(NormalizedDriveTrain driveTrain,
							double backupMeters,
							double turnAngle)
	{
		this.driveTrain = driveTrain;
		this.backupMeters = backupMeters;
		this.turnAngle = turnAngle;
	}

	public NormalizedDriveTrain getNormalizedDriveTrain() {
		return driveTrain;
	}
	public double getBackupMeters() {
		return backupMeters;
	}
	public double getTurnAngle() {
		return turnAngle;
	}
// ...
	public TrustySimpleBaseRobot() throws Exception {
		this(new NormalizedDriveTrainSimpleAlgorithm(
				new NormalizedDriveTrainSimpleBaseRobot()
			),
			0.2,
			0.1
		);
	}
// ...
}
