package de.jaetzold.util;

import java.beans.PropertyChangeListener;

/**	This interface is kind of missing in JavaBeans (1.0).
	According to JavaBeans, a bean which has bound properties (for which it can inform registered listeners about a change), is required to implement the methods declared here. Instead of just implementing the methods and let others use reflect it may sometimes be better using an interface to signal that fact to others. (especially when using embedded Devices which don't have reflect)
	@see java.beans.PropertyChangeSupport
	*/
public interface PropertyChangeInformer {
	public void addPropertyChangeListener(PropertyChangeListener l);
	public void removePropertyChangeListener(PropertyChangeListener l);
}
