package de.jaetzold.art.examples;

import java.awt.Panel;
import java.awt.Button;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class LiSeCommands extends Panel {
	public LiSeCommands(LiSe lise) {
		this();
		setLiSe(lise);
	}
	public LiSeCommands() {
		Button search = new Button("search");
		search.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(lise != null) {
						lise.search();
					}
				}
			}
		);
		add(search);
// ...
		Button stop = new Button("stop");
		stop.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(lise != null) {
						lise.stop();
					}
				}
			}
		);
		add(stop);
		
		Button left = new Button("see left");
		left.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(lise != null) {
						lise.seeLeft();
					}
				}
			}
		);
		add(left);
		
		Button right = new Button("see right");
		right.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(lise != null) {
						lise.seeRight();
					}
				}
			}
		);
		add(right);
		
		Button center = new Button("see center");
		center.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(lise != null) {
						lise.seeCenter();
					}
				}
			}
		);
		add(center);
// ...
	}
	
	protected LiSe lise;
	public void setLiSe(LiSe lise) {
		this.lise = lise;
	}
}
