package de.jaetzold.art.examples;

import de.jaetzold.art.BooleanSensor;

public class SubsumptionAriadneRobot implements	SubsumptionAriadne.Robot
{
	protected Ariadne ariadne;
	protected LiSe lise;
	protected long minOrientInterval;
	protected SubsumptionTrusty.Robot trusty;
	
	public SubsumptionAriadneRobot(	Ariadne ariadne,
									LiSe lise,
									long minOrientInterval,
									SubsumptionTrusty.Robot trusty) {
		this.ariadne = ariadne;
		this.lise = lise;
		this.trusty = trusty;
		this.minOrientInterval = minOrientInterval;
	}
	
	public Ariadne getAriadne() {
		return ariadne;
	}
	public LiSe getLiSe() {
		return lise;
	}
	public long getMinOrientInterval() {
		return minOrientInterval;
	}
	
	public Trusty getTrusty() {
		return trusty.getTrusty();
	}
	public BooleanSensor getLeftSensor() {
		return trusty.getLeftSensor();
	}
	public BooleanSensor getRightSensor() {
		return trusty.getRightSensor();
	}
}
