package de.jaetzold.art.examples;

import java.awt.Panel;
import java.awt.Button;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class TrustyCommands extends Panel {
	public TrustyCommands(Trusty trusty) {
		this();
		setTrusty(trusty);
	}
	public TrustyCommands() {
		Button move = new Button("move");
		move.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(robot != null) {
						robot.move();
					}
				}
			}
		);
		add(move);

		Button stop = new Button("stop");
		stop.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(robot != null) {
						robot.stop();
					}
				}
			}
		);
		add(stop);
		
		Button left = new Button("avoid l");
		left.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(robot != null) {
						robot.avoidLeft();
					}
				}
			}
		);
		add(left);
		
		Button right = new Button("avoid r");
		right.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(robot != null) {
						robot.avoidRight();
					}
				}
			}
		);
		add(right);
	}
	
	protected Trusty robot;
	public void setTrusty(Trusty robot) {
		this.robot = robot;
	}
}
