package de.jaetzold.art.platform;

/** This interface is not really needed. It's just for completeness, since no extra methods are required. However, a BooleanSensor interpretes the state 0 as false and every other state as true, so that's the contract for a BooleanSensorPeer to fulfill. A RobotInterface may implement a BooleanSensorPeer which behaves different than the plain StateSensorPeer.
	@see de.jaetzold.art.BooleanSensor
	@see StateSensorPeer
	@see de.jaetzold.art.platform.lego.Mindstorms.RCXBooleanSensorPeer
	*/
public interface BooleanSensorPeer extends StateSensorPeer {
}
