package de.jaetzold.util;

/**	A CommandLine provides the ability to inform a CommandLineListener when a new line of input is ready. It also can prompt for a new commandline, normally that's what a user sees just left of where he types.
*/
public interface CommandLine {
    public void addCommandLineListener(CommandLineListener l);
    public void setPrompt(String str);
    public String getPrompt();
}
