package de.jaetzold.util;

public class ComplementRange implements Range {
	private Range targetRange;
	
	public ComplementRange(Range targetRange) {
		this.targetRange = targetRange;
	}
	
	public boolean contains(double value) {
		return !targetRange.contains(value);
	}
	
	public boolean isCacheable() {
		return targetRange.isCacheable();
	}
}
