package de.jaetzold.util;

/** InputStream der immer 0 liefert. */
public class NullInputStream extends java.io.InputStream {

    /** Der Wert der bei available() geliefert werden soll. Default: 1024
    @see #available()
    */
    public int available = 1024;

    /** Liefert immer 0. */
    public int read()
        throws java.io.IOException {
            return 0;
        }

    /** Liefert den Wert der Variablen "available" als Resultat.
        @see #available
        */
    public int available() {
        return available;
    }
}
