package de.jaetzold.util;

/** This exception is used to indicate that some timeout-state has been reached
	and that's the reason why some method could'nt be completed.
*/
public class TimeoutException extends Exception {
	/** Creates a new TimeoutException without a detail message. */
    public TimeoutException() { }
    /** Creates a new TimeoutException with <code>message</code> as detail message. */
    public TimeoutException(String message) {
        super(message);
    }
}
